Kubernetes
probe Network

# get_network_fault

Get a network fault

Run it now
View details

Type | probe
Module | chaosk8s.chaosmesh.network.probes
Name | get_network_fault
Return | mapping

Usage

JSON

    {
      "name": "get-network-fault",
      "type": "probe",
      "provider": {
        "type": "python",
        "module": "chaosk8s.chaosmesh.network.probes",
        "func": "get_network_fault",
        "arguments": {
          "name": ""
        }
      }
    }

YAML

    name: get-network-fault
    provider:
      arguments:
        name: ''
      func: get_network_fault
      module: chaosk8s.chaosmesh.network.probes
      type: python
    type: probe

Arguments

Name | Type | Default | Required | Title | Description
--- | --- | --- | --- | --- | ---
name | string |  | Yes | Name | Name of a particular network fault
ns | string | default | No | Namespace | Namespace where to get the fault from

Signature

    def get_network_fault(
            name: str,
            ns: str = 'default',
            secrets: Dict[str, Dict[str, str]] = None) -> Dict[str, Any]:
        pass

## Related starters

- Kubernetes
  action Network

  ## `reorder_packets`

  Re-order packets on a Pod's network link
- Kubernetes
  action Network

  ## `create_network_policy`

  Add a network policty
- fault
  action Network

  ## `Run Network Fault Proxy`

  Run fault proxy to introduce network faults to streams.